package com.wd.workoffice.bean.workEnum;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public enum PagePermissionType {
    //财税上缴
    FINANCE("finance:finance-tax:page:list", "财税上缴"),
    FINANCE_DETAIL("finance:finance-tax:page:detail", "获取财税明细"),
    FINANCE_TAX("finance:finance-tax:page:add", "申请提交财税数据"),
    //产品
    PRODUCT("base:product:page:list", "产品"),
    MODIFY_PRICE("base:product:price:update", "修改产品价格"),
    SHELF("base:product:shelf", "上下架"),
    PRODUCT_TRANSIT("base:product:transit:log", "往来单位"),
    //设备维修
    EQUIPMENT_REPAIR("equipment:equipmentRepair:page:list", "设备维修"),
    EQUIPMENT_REPAIR_add("equipment:equipmetnRepair:add", "设备维修新增"),
    EQUIPMENT_REPAIR_update("equipment:equipmentRepair:update", "审核"),
    EQUIPMENT_REPAIR_ITEM("equipment:equipmentRepairItem:list", "设备维修明细列表（不分页）"),
    EQUIPMENT_REPAIR_APPLY("equipment:equipmentRepair:apply", "接单"),
    EQUIPMENT_REPAIR_FINISH("equipment:equipmentRepair:finish", "完成"),
    //设备采购
    EQUIPMENT_PURCHASE_REPAIR("equipment:equipmentPurchase:page:list", "设备采购"),
    EQUIPMENT_PURCHASE_REPAIR_ADD("equipment:equipmentPurchase:add", "下单"),
    EQUIPMENT_PURCHASE_REPAIR_UPDATE("equipment:equipmentPurchase:update", "审核"),
    EQUIPMENT_PURCHASE_REPAIR_APPLY("equipment:equipmentPurchase:apply", "接单"),
    EQUIPMENT_PURCHASE_REPAIR_FINISH("equipment:equipmentPurchase:finish", "设置交付完成"),
    EQUIPMENT_PURCHASE_REPAIR_PAGE("equipment:equipmentPurchase:page:list", "查看明细"),
    //往来单位
    TRANSIT_PART_LIST(" app:base:transit-part-manage:page:list", "往来单位"),
    TRANSIT_PART_update("app:base:transit-part-manage:update", "修改"),
    TRANSIT_PART_MANAGE_LIST("app:base:transit-part-manage:page:list", "往来单位分页列表"),
    TRANSIT_PART_DETAILS("base:transit-part-manage:details", "一个往来单位详情"),
    //库存类别
    STOCK_TYPE_LIST("app:base:stock-type:list", "库存类别"),
    //销售订单
    SALE_ORDER_DETAIL("order:sale-order:details", "一个订单的详情"),
    SALE_ORDER_PAGE("app:order:sale-order:page:list", "主页销售订单搜索（卖家买家）"),
    SALE_ORDER_START("order:sale-order:start", "下单"),
    SALE_ORDER_AUDIT("order:sale-order:audit", "-审核"),
    SALE_ORDER_APPLY("order:sale-order:apply", "接单"),
    SO_ENTER_PAGE("app:order:so:enter-store-apply:page:list", "入库申请列表"),
    SO_ENTER_AUDIT("order:so:enter-store-apply:audit", "入库申请审核"),
    SO_ENTER_SAVE("order:so:enter-store-apply:apply:save", "发起入库申请"),
    SO_OUT_SAVE("order:so:out-store-apply:apply:save", "发起发货申请"),
    SO_OUT_LIST("order:so:out-store-apply:page:list", "-发货申请列表"),
    SO_OUT_AUDIT("order:so:out-store-apply:apply:audit", "发货申请审核"),
    SO_ADVANCE_SAVE("order:so:advance-finish-apply:apply:save", "发起提前结束申请"),
    SO_ADVANCE_LIST("order:so:advance-finish-apply:page:list", "-提前结束申请列表"),
    SO_ADVANCE_AUDIT("order:so:advance-finish-apply:audit", "提前结束申请审核"),
    SO_RETURN_APPLY_LIST("order:so:return-apply:page:list", "退货申请列表"),
    SO_RETURN_FLOW_LIST("order:return-apply-flow:list", "退货流水"),
    SO_RETURN_SAVE("order:so:return-apply:apply:save", "发起退货申请"),
    SO_RETURN_EDIT_DEPT_ADMIN("order:sale:return-apply:edit:dept-admin", "退货审核(部门管理员)"),
    SO_RETURN_EDIT_BUSINESS_DEPARTMENT("order:sale:return-apply:edit:business-department", "退货审核(业务部)"),
    SO_RETURN_EDIT_FINANCE_DEPT("order:sale:return-apply:edit:finance-dept", "退货审核(财务部)"),
    SO_RETURN_EDIT_GROUP("order:sale:return-apply:edit:group", "退货审核(集团审核)"),
    SO_USE_APPLY_LIST("order:so:use-apply:page:list", "领用申请列表"),
    SO_USE_APPLY_SAVE("order:so:use-apply:apply:save", "发起领用申请"),
    SO_USE_APPLY_AUDIT("order:so:use-apply:audit", "领用申请审核"),
    SO_INVOICE_LIST("order:so:invoice-apply:page:list", "开票申请列表"),
    SO_INVOICE_SAVE("order:so:invoice-apply:apply:save", "发起开票申请"),
    SO_INVOICE_AUDIT("order:so:invoice-apply:audit", "开票审核"),
    //组装订单
    AO_PACKAGE_LIST("app:order:ao:package-order:page:list", "组装订单列表"),
    AO_PACKAGE_DETAILS("order:package-order:details", "组装 订单详情"),
    AO_PACKAGE_APPLY_LIST("app:order:ao:package-apply:page:list", "组装申请列表"),
    AO_PACKAGE_APPLY_SAVE("order:ao:package-apply:apply:save", "发起组装申请"),
    AO_PACKAGE_APPLY_AUDIT("order:so:invoice-apply:audit", "组装申请审核"),
    AO_USE_APPLY_LIST("order:ao:use-apply:page:list", "领用申请列表"),
    AO_USE_APPLY_SAVE("order:ao:use-apply:apply:save", "发起领用申请"),
    AO_USE_APPLY_AUDIT("order:ao:use-apply:audit", "领用申请审核"),
    AO_INVOICE_LIST("order:ao:invoice-apply:page:list", "开票申请列表"),
    AO_INVOICE_SAVE("order:ao:invoice-apply:apply:save", "发起开票申请"),
    AO_INVOICE_AUDIT("order:ao:invoice-apply:audit", "开票审核"),
    //外采购订单
    PO_PURCHASE_LIST("app:order:purchase-order:page:list", "主页外采购订单搜索（卖家买家）"),
    PO_PURCHASE_DETAILS("order:purchase-order:details", "一个订单的详情"),
    PO_PURCHASE_START("order:purchase-order:start", "下单"),
    PO_PURCHASE_AUDIT("order:purchase-order:audit", "-审核"),
    PO_PURCHASE_APPLY("order:purchase-order:apply", "接单"),
    PO_PURCHASE_ENTER_STOCK("order:po:enter-stock-type:update", "设置入库方式"),
    PO_ENTER_AUDIT("order:po:enter-store-apply:audit", "入库申请审核"),
    PO_ENTER_PAGE("app:order:po:enter-store-apply:page:list", "入库申请列表"),
    PO_ENTER_SAVE("order:po:enter-store-apply:apply:save", "发起入库申请"),
    PO_OUT_SAVE("order:po:out-store-apply:apply:save", "发起发货申请"),
    PO_OUT_LIST("order:po:out-store-apply:page:list", "-发货申请列表"),
    PO_OUT_AUDIT("order:po:out-store-apply:apply:audit", "发货申请审核"),
    PO_ADVANCE_SAVE("order:po:advance-finish-apply:apply:save", "发起提前结束申请"),
    PO_ADVANCE_LIST("order:po:advance-finish-apply:page:list", "-提前结束申请列表"),
    PO_ADVANCE_AUDIT("order:po:advance-finish-apply:audit", "提前结束申请审核"),
    PO_RETURN_APPLY_LIST("order:po:return-apply:apply:save", "发起退货申请"),
    PO_RETURN_EDIT("order:po:return-apply:edit", "退货审核(集团审核)"),
    PO_USE_APPLY_LIST("order:po:use-apply:page:list", "领用申请列表"),
    PO_USE_APPLY_SAVE("order:po:use-apply:apply:save", "发起领用申请"),
    PO_USE_APPLY_AUDIT("order:po:use-apply:audit", "领用申请审核"),
    PO_INVOICE_LIST("order:po:invoice-apply:page:list", "开票申请列表"),
    PO_INVOICE_SAVE("order:po:invoice-apply:apply:save", "发起开票申请"),
    PO_INVOICE_AUDIT("order:po:invoice-apply:audit", "开票审核"),
    PO_RECEIPT_LIST("order:po:receipt-invoice-apply:page:list", "收票审请列表"),
    PO_RECEIPT_SAVE("order:po:receipt-invoice-apply:apply:save", "发起收票审请"),
    PO_RECEIPT_AUDIT("order:po:receipt-invoice-apply:audit", "收票审核"),
    PO_RETURN_FLOW_LIST("order:return-apply-flow:list", "退货流水"),
    PO_RETURN_SAVE("order:po:return-apply:apply:save", "发起退货申请"),
    //供应订单
    FO_SUPPLIER_LIST("app:order:supplier-order:page:list", "订单列表"),
    FO_SUPPLIER_DETAILS("order:supplier-order:details", "订单详情"),
    FO_SUPPLIER_START("order:supplier-order:start", "下单"),
    FO_SUPPLIER_AUDIT("order:supplier-order:audit", "-审核"),
    FO_SUPPLIER_APPLY("order:supplier-order:apply", "接单"),
    FO_ENTER_AUDIT("order:fo:enter-store-apply:audit", "入库申请审核"),
    FO_ENTER_PAGE("app:order:fo:enter-store-apply:page:list", "入库申请列表"),
    FO_ENTER_SAVE("order:fo:enter-store-apply:apply:save", "发起入库申请(质检申请)"),
    FO_QUALITY_PAGE("order:fo:quality-inspection:page:list", "质检申请列表"),
    FO_QUALITY_AUDIT("order:fo:quality-inspection:audit", "质检审核"),
    FO_RECEIPT_LIST("order:fo:receipt-invoice-apply:page:list", "收票审请列表"),
    FO_RECEIPT_SAVE("order:fo:receipt-invoice-apply:apply:save", "发起收票审请"),
    FO_RECEIPT_AUDIT("order:fo:receipt-invoice-apply:audit", "收票审核"),
    //内部订单
    IO_INSIDE_LIST("app:order:inside-order:page:list", "订单列表"),
    IO_INSIDE_DETAILS("order:inside-order:details", "订单详情"),
    IO_INSIDE_START("order:inside-order:start", "下单"),
    IO_INSIDE_AUDIT("order:inside-order:audit", "-审核"),
    IO_INSIDE_APPLY("order:inside-order:apply", "接单"),
    IO_ENTER_AUDIT("order:io:enter-store-apply:audit", "入库申请审核"),
    IO_ENTER_PAGE("app:order:io:enter-store-apply:page:list", "入库申请列表"),
    IO_ENTER_SAVE("order:io:enter-store-apply:apply:save", "入库申请"),
    //坩埚订单
    CO_CRUCIBLE_LIST("app:order:crucible-order:page:list", "订单列表"),
    CO_CRUCIBLE_DETAILS("order:crucible-order:details", "订单详情"),
    CO_CRUCIBLE_START("order:crucible-order:start", "下单"),
    CO_CRUCIBLE_AUDIT("order:crucible-order:audit", "-审核"),
    CO_CRUCIBLE_APPLY("order:crucible-order:apply", "接单"),
    CO_ENTER_AUDIT("order:co:enter-store-apply:audit", "入库申请审核"),
    CO_ENTER_PAGE("app:order:co:enter-store-apply:page:list", "入库申请列表"),
    CO_ENTER_SAVE("order:co:enter-store-apply:apply:save", "入库申请"),
    CO_OUT_SAVE("order:co:out-store-apply:apply:save", "发起发货申请"),
    CO_OUT_LIST("order:co:out-store-apply:page:list", "-发货申请列表"),
    CO_OUT_AUDIT("order:co:out-store-apply:apply:audit", "发货申请审核"),
    CO_INVOICE_LIST("order:co:invoice-apply:page:list", "开票申请列表"),
    CO_INVOICE_SAVE("order:co:invoice-apply:apply:save", "发起开票申请"),
    CO_INVOICE_AUDIT("order:co:invoice-apply:audit", "开票审核"),
    //库存数量
    STOCK_QUANTITY_DETAIL("stockQuantityDetail:page:list", "库存数量明细"),
    STOCK_QUANTITY_DETAIL_FLOW("stockQuantityDetailFlow:page:list", "库存数量明细流水"),
    STOCK_QUANTITY_ORDER("stockQuantity:order:page:list", "订单列表"),
    STOCK_QUANTITY_FLOW("stockQuantityFlow:page:list", "库存数量流水"),
    //库存数量
    SYS_UPDATE("sys:dept:ruler:update", "设置部门管理员"),
    SYS_DETAIL("app:sys:dept:details", "一个部门的详情"),
    //备件
    SPARE_PART_LIST("equipment:spare-part:page:list", "备件"),
    //设备
    EQUIPMENT_LIST("equipment:equipment:page:list", "设备"),
    //部门账户
    UPDATE_SHELF("app:finance:dept-account-balance:balance:update-shelf", "冻结解冻当前用户所在部门的可用余额"),
    BALANCE_UPDATE("finance:dept-account-balance:balance:update", "冻结解冻指定部门可用余额"),
    BALANCE_DETAILS("app:finance:dept-account-balance:details", "当前用户所在部门的账户信息"),
    FINANCE_SHELF_LIST("app:finance:finance-dept-flow:shelf:page:list", "获取当前用户部门账户的流水"),
    FINANCE_DEPT_LIST("finance:dept-account-balance:page:list", "获取所有部门账户列表（分页）"),
    FINANCE_FLOW_LIST("finance:finance-dept-flow:page:list", "获取指定部门的账户流水"),
    //子流程
    SUB_PROCESS("base:sub-process:list", "子流程"),
    //客户分厂
    CUSTOMER_FACTORY("base:customer-branch-factory:page:list", "客户分厂"),
    //财务
    MONEY_BACK_LIST("finance:money-back-apply:page:list", "回款申请列表"),
    MONEY_BACK_APPLY("finance:money-back-apply:apply", "发起回款申请"),
    MONEY_BACK_EXAM("finance:money-back-apply:exam", "回款申请审核"),
    MONEY_PAY_LIST("finance:money-pay-apply:page:list", "付款申请列表"),
    MONEY_PAY_APPLY("finance:money-pay-apply:apply", "发起付款申请"),
    MONEY_PAY_EXAM("finance:money-pay-apply:exam", "付款申请审核"),
    //物流运费
    LOGISTICS_APPLY_PAGE("finance:logistics-apply:page:list", "运费开票申请分页列表"),
    LOGISTICS_SAVE("finance:logistics-apply:save", "添加开票申请 "),
    LOGISTICS_UPDATE("finance:logistics-apply:update", "审批开票申请"),
    LOGISTICS_PAGE("finance:logistics:page:list", "获取生产商与物流公司账款分页列表"),
    LOGISTICS_FLOW_PAGE("finance:logistics-flow:page:list", "获取运费账款流水分页记录");
    //巡查服务
    //派遣服务
    //请购单

    private String permission;
    private String desc;

    public String getPermission() {
        return permission;
    }

    public String getDesc() {
        return desc;
    }

    PagePermissionType(String permission, String desc) {
        this.permission = permission;
        this.desc = desc;
    }
}
